Update a form Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/form/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • title string

    The title of the form

  • description string

    The description of the form

  • visibility string

    The visibility of the form.

    Value Description
    public Public
    private Private
    hidden Hidden
    internal Internal

    Values are public, private, hidden, or internal.

  • allowed_hosts array[string(hostname)]

    Domain hosts to allow viewing this form when embedded

  • create_client boolean

    Should this form create a new client if a submission comes form no registered account

  • client_type string

    Required if create client is true, the type of client to create on form submission.

    Value Description
    client Client
    prospect Prospect

    Values are client or prospect.

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • title string
    • description string
    • live boolean
    • visibility string
    • sections object
      Hide sections attributes Show sections attributes object
      • uuid string
      • created_at string
      • updated_at string
      • section object
        Hide section attributes Show section attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • title

          The title of the section

        • position

          The position of the section

      • title string
      • help_text string
      • caption string
      • type string
      • required boolean
      • position integer
      • selection_options array[string]
      • target_field string
      • key string
      • linked_question object
        Hide linked_question attributes Show linked_question attributes object
        • type

          Type of question

        • field

          The field this question is linked to

        • label

          The label this question is linked to

        • formatted_field

          The field formatted in title case

        • selection_options

          The selection options for selection type questions

        • is_custom_field

          Denotes if this is linked to a custom field

        • forced_required

          Denotes if this is question must be required

        • caption

          Placeholder caption for this question

      • linked_primary boolean
    • allowed_hosts array[string]
    • draft_submissions_count integer
    • submitted_submissions_count integer
    • create_client boolean
    • client_type string
PUT /api/v1/form/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"title":"Annual Survey 2022 Form","description":"This is the annual survey form for 2022","visibility":"public","allowed_hosts":["example.com","example.org"],"create_client":false,"client_type":"client"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "title": "Annual Survey 2022 Form",
  "description": "This is the annual survey form for 2022",
  "visibility": "public",
  "allowed_hosts": [
    "example.com",
    "example.org"
  ],
  "create_client": false,
  "client_type": "client"
}
Response examples (201)
{
  "uuid": "b8e67b70-8032-4659-b737-bfd9729cbb29",
  "created_at": "2026-07-17T15:25:29+01:00",
  "updated_at": "2026-07-17T15:25:29+01:00",
  "title": "Annual Catchup 2022",
  "description": "This is the annual catchup form for 2022",
  "live": true,
  "visibility": "public",
  "sections": {
    "uuid": "ce753d7e-a14f-406c-947d-02a881765a63",
    "created_at": "2026-07-17T15:25:29+01:00",
    "updated_at": "2026-07-17T15:25:29+01:00",
    "section": {
      "uuid": "af706da4-ac2b-45dc-8404-b10ef7e20ac6",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "title": "Personal Details",
      "position": 1
    },
    "title": "What is your name?",
    "help_text": "Gareth",
    "caption": "Your full legal name",
    "type": "string",
    "required": true,
    "position": 1,
    "selection_options": [
      "option 1",
      "option 2"
    ],
    "target_field": "name",
    "key": "what_is_your_name",
    "linked_question": {
      "type": "selection",
      "field": "gender",
      "label": "Gender",
      "formatted_field": "Gender",
      "selection_options": [
        "male",
        "female",
        "non-binary",
        "transgender",
        "intersex",
        "other",
        "unknown"
      ],
      "is_custom_field": false,
      "forced_required": false,
      "caption": "Your drink preference"
    },
    "linked_primary": true
  },
  "allowed_hosts": [
    "domain.com",
    "subdomain.domain.com"
  ],
  "draft_submissions_count": 5,
  "submitted_submissions_count": 5,
  "create_client": true,
  "client_type": "client"
}